# ApplicationFramework
TKPShape
PPoly

# PPoly_PolygonOnTriangulation Class Reference

`#include <PPoly_PolygonOnTriangulation.hxx>`

## Public Member Functions

Standard_EXPORT | PPoly_PolygonOnTriangulation ()
Standard_EXPORT | PPoly_PolygonOnTriangulation (const Handle(PColStd_HArray1OfInteger)&Nodes, const Standard_Real Defl)
| Defaults with allocation of nodes. .
Standard_EXPORT | PPoly_PolygonOnTriangulation (const Handle(PColStd_HArray1OfInteger)&Nodes, const Standard_Real Defl, const Handle(PColStd_HArray1OfReal)&Parameters)
| Defaults with allocation of nodes. .
Standard_EXPORT Standard_Real | Deflection () const
Standard_EXPORT void | Deflection (const Standard_Real D)
Standard_EXPORT Standard_Integer | NbNodes () const
Standard_EXPORT Handle_PColStd_HArray1OfInteger | Nodes () const
| Reference on the 3d nodes indices. .
Standard_EXPORT void | Nodes (const Handle(PColStd_HArray1OfInteger)&Nodes)
Standard_EXPORT Standard_Boolean | HasParameters () const
Standard_EXPORT Handle_PColStd_HArray1OfReal | Parameters () const
| Returns the parameters values. .
Standard_EXPORT void | Parameters (const Handle(PColStd_HArray1OfReal)&Param)
| PPoly_PolygonOnTriangulation (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPPoly_PolygonOnTriangulationmyDeflection () const
void | _CSFDB_SetPPoly_PolygonOnTriangulationmyDeflection (const Standard_Real p)
| Handle (PColStd_HArray1OfInteger) _CSFDB_GetPPoly_PolygonOnTriangulationmyNodes() const
void | _CSFDB_SetPPoly_PolygonOnTriangulationmyNodes (const Handle(PColStd_HArray1OfInteger)&p)
| Handle (PColStd_HArray1OfReal) _CSFDB_GetPPoly_PolygonOnTriangulationmyParameters() const
void | _CSFDB_SetPPoly_PolygonOnTriangulationmyParameters (const Handle(PColStd_HArray1OfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myDeflection
Handle_PColStd_HArray1OfInteger | myNodes
Handle_PColStd_HArray1OfReal | myParameters

## Constructor & Destructor Documentation

Standard_EXPORT PPoly_PolygonOnTriangulation::PPoly_PolygonOnTriangulation | ( |  | ) |

Standard_EXPORT PPoly_PolygonOnTriangulation::PPoly_PolygonOnTriangulation | ( | const Handle(PColStd_HArray1OfInteger)& | Nodes,
|  | const Standard_Real | Defl
| ) |

Standard_EXPORT PPoly_PolygonOnTriangulation::PPoly_PolygonOnTriangulation | ( | const Handle(PColStd_HArray1OfInteger)& | Nodes,
|  | const Standard_Real | Defl,
|  | const Handle(PColStd_HArray1OfReal)& | Parameters
| ) |

PPoly_PolygonOnTriangulation::PPoly_PolygonOnTriangulation | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PPoly_PolygonOnTriangulation::_CSFDB_GetPPoly_PolygonOnTriangulationmyDeflection | ( |  | ) | const`[inline]`

void PPoly_PolygonOnTriangulation::_CSFDB_SetPPoly_PolygonOnTriangulationmyDeflection | ( | const Standard_Real | p | ) | `[inline]`

void PPoly_PolygonOnTriangulation::_CSFDB_SetPPoly_PolygonOnTriangulationmyNodes | ( | const Handle(PColStd_HArray1OfInteger)& | p | ) | `[inline]`

void PPoly_PolygonOnTriangulation::_CSFDB_SetPPoly_PolygonOnTriangulationmyParameters | ( | const Handle(PColStd_HArray1OfReal)& | p | ) | `[inline]`

Standard_EXPORT void PPoly_PolygonOnTriangulation::Deflection | ( | const Standard_Real | D | ) |

Standard_EXPORT Standard_Real PPoly_PolygonOnTriangulation::Deflection | ( |  | ) | const

Standard_EXPORT const PPoly_PolygonOnTriangulation::Handle | ( | Standard_Type |  | ) | const

PPoly_PolygonOnTriangulation::Handle | ( | PColStd_HArray1OfReal |  | ) | const`[inline]`

PPoly_PolygonOnTriangulation::Handle | ( | PColStd_HArray1OfInteger |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean PPoly_PolygonOnTriangulation::HasParameters | ( |  | ) | const

Standard_EXPORT Standard_Integer PPoly_PolygonOnTriangulation::NbNodes | ( |  | ) | const

Standard_EXPORT void PPoly_PolygonOnTriangulation::Nodes | ( | const Handle(PColStd_HArray1OfInteger)& | Nodes | ) |

Standard_EXPORT Handle_PColStd_HArray1OfInteger PPoly_PolygonOnTriangulation::Nodes | ( |  | ) | const

Standard_EXPORT void PPoly_PolygonOnTriangulation::Parameters | ( | const Handle(PColStd_HArray1OfReal)& | Param | ) |

Standard_EXPORT Handle_PColStd_HArray1OfReal PPoly_PolygonOnTriangulation::Parameters | ( |  | ) | const

## Field Documentation

Standard_Real PPoly_PolygonOnTriangulation::myDeflection `[private]`

Handle_PColStd_HArray1OfInteger PPoly_PolygonOnTriangulation::myNodes `[private]`

Handle_PColStd_HArray1OfReal PPoly_PolygonOnTriangulation::myParameters `[private]`

The documentation for this class was generated from the following file:

- PPoly_PolygonOnTriangulation.hxx